Download it now!
Bug 82272 - New 'Chart' toolbar icon
Summary: New 'Chart' toolbar icon
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: lowest enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Icon-Theme-Tango
  Show dependency treegraph
 
Reported: 2014-08-07 02:44 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-27 13:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
how the icon looks in the toolbar (45.79 KB, image/png)
2014-08-10 23:03 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-07 02:44:02 UTC
As Sifr isnt the default icon set used for libreoffice, I think its important that the 'Chart' toolbar icon be changed in tango as i've come across two users who didnt understand that the current 3d pie chart icon with a percentage sign is for charts.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-07 07:04:59 UTC
Here is a portion of the twitter discussion i had with a professional UX coder regarding the chart icon yesterday. The full discussion can be found at < https://twitter.com/phantominker/status/496832435389468672 >

------------------------------------------------------------

@jphilipz One really easy one: There really ought to be a "Create Chart" button on the toolbar by default. I found it in the menus after a minute, but such an incredibly common business tool ought to be readily accessible and require no treasure hunts.

@jphilipz Love or hate Excel's ribbon, the "Create Chart" buttons are big and bold on its "Insert" tab. It's not rocket science to find 'em.

@jphilipz Even back in the toolbar days, both it and Quattro Pro all had a "Create Chart" toolbar button.

@phantominker there is a 'chart' button in calc in the toolbar, its a red pie chart with a green slice

@jphilipz Either it didn't exist in my version (4.1.x, I think), or that icon needs redrawing. I'll check for it when I get home tonight.

@jphilipz (We use Excel at work, and I use LibreOffice [and formerly OpenOffice] at home, because open source++.)

@phantominker quite sure its there as i'm running it now. :D there is an option to have larger toolbar icons in Tools > Options > View

@jphilipz That red thing in this screenshot? http://www.softwarecrew.com/wp-content/uploads/2012/02/libreoffice_calc.png If that's what you're talking about, it needs redrawing.

@phantominker yep the one next to the icon with a paintbrush

@jphilipz So try this simple Google search: https://t.co/HcAZSY8WlE Count how many of the results look like that chart icon (hint: 0).

@jphilipz It looks far more like a red "stop doing something" button than a chart icon, and the % in the corner doesn't help.

@phantominker yep i think a bar chart icon would be better. i remember someone thinking that the percentage sign was some eyes

@jphilipz I'd suggest a simple bar-chart icon, a few bars, each a different color. It's easy to recognize even at low resolutions, and difficult to mistake for something else. Good Ux is about meeting expectations; not about trying to change them.

@phantominker yes you are the second person to have difficulty with the icon, so i'll suggest to them to change it to a bar.

@phantominker or atleast the same pie chart without the percentage sign. :D

@jphilipz I'd agree. Something like this may be boring, but it's unambiguous: http://www.vista-style-icons.com/libs/biz-v/3d_graph-icon.gif

@phantominker i think a simple 2d version would be great as it would work well in both small and large icon sizes.

@jphilipz You mean like other spreadsheet software has used for the last 20 years? Maybe a good idea. http://www.dixon.ws/quattro/screen.gif

@phantominker maybe 2d when its a small icon and 3d when its a large icon

@phantominker libreoffice has come out with their own icon set called Sifr and in it, its a simple flat pie chart that is easy to understand

@jphilipz There's a reason why Excel, Lotus, Quattro, Numbers all used bar charts for their chart icon. Study your competition.

------------------------------------------------------------

It makes me wonder, why on windows are the default icons small and on linux they are large.
Comment 2 Adolfo Jayme 2014-08-07 09:06:52 UTC
Thanks for filing a concise, detailed bug report.
Comment 3 Yousuf Philips (jay) (retired) 2014-08-10 01:33:14 UTC
Well i think this could be easily fixed by using the chart icon found in the tango_testing, as its a 2d pie chart with 3 colored sections.
Comment 4 Tin Man 2014-08-10 11:17:17 UTC
I tweaked the pie chart from the Gnome presentation icon -- https://github.com/libodesign/tango-testing/blob/master/exported/cmd/lc_drawchart.png. I propose to use that.

I'll push it with the next set of icons.
Comment 5 Yousuf Philips (jay) (retired) 2014-08-10 23:03:20 UTC
Created attachment 104395 [details]
how the icon looks in the toolbar

Unfortunately i dont think the icon is very good because firstly, the blue slice is twice as larger as the open space in the orange slice, which reminded me of pacman. secondly, i think that a pie chart needs atleast 3 slices to clearly show its a pie chart. thirdly, the visible parts of the icon are not utilizing the full space available to it, as there is 3x1 pixels that can be utilized, and an important icon like this should be as large as possible. fourthly, i dont think it blends well with the other tango icons, as they are flat and simple, while this one 3d looking and stylish.
Comment 6 Tin Man 2014-08-11 12:48:03 UTC
(In reply to comment #5)
> Created attachment 104395 [details]
> how the icon looks in the toolbar
> 
> Unfortunately i dont think the icon is very good because firstly, the blue
> slice is twice as larger as the open space in the orange slice, which
> reminded me of pacman. secondly, i think that a pie chart needs atleast 3
> slices to clearly show its a pie chart. thirdly, the visible parts of the
> icon are not utilizing the full space available to it, as there is 3x1
> pixels that can be utilized, and an important icon like this should be as
> large as possible. fourthly, i dont think it blends well with the other
> tango icons, as they are flat and simple, while this one 3d looking and
> stylish.

Hi Jay,
The refreshed icon set is based on the Gnome icon set. This chart icon comes straight from the Gnome icon for presentations (just scaled up a bit) and fits the style of the refreshed set well. Yes, it's not flat, but the former icon wasn't flat either and nor do any of the other new icons have a completely flat appearance -- there are plenty of shadows and highlights in the new icons and a some icons are tilted to show depth.

Also note that icon symbol size is (and never should be) based on command importance. Note that Bold and Italic are much smaller than the space afforded to them, and that is a conscious design decision.

That said, I agree that the icon could be a bit better. I might work on it a bit later.
Comment 7 Yousuf Philips (jay) (retired) 2014-08-11 20:12:37 UTC
(In reply to comment #6)
> Hi Jay,

Hi Mirek,

> The refreshed icon set is based on the Gnome icon set. This chart icon comes
> straight from the Gnome icon for presentations (just scaled up a bit) and
> fits the style of the refreshed set well. Yes, it's not flat, but the former
> icon wasn't flat either and nor do any of the other new icons have a
> completely flat appearance -- there are plenty of shadows and highlights in
> the new icons and a some icons are tilted to show depth.

Well i think that limiting the refreshed icon set on gnome's icon set is not a good approach, as it may be familiar for users of gnome but not for others. Maybe my use of the word "flat" isnt the right word, but all of the icons are front facing icons except for printer (front facing but tilted), currency (i think this may also needs a new icon - maybe fewer larger coins), and the current chart icon. The one you are suggesting has shines on it on both parts, while others icons may have a slight highlight on them. 

> Also note that icon symbol size is (and never should be) based on command
> importance. Note that Bold and Italic are much smaller than the space
> afforded to them, and that is a conscious design decision.

I know that it doesnt depend on command importance, but i'm suggesting that there is ample space available to have it take up as much space as the drawing icon next to it, so that its easier to spot within the many available icons in the toolbars.

> That said, I agree that the icon could be a bit better. I might work on it a
> bit later.

I was only recommending the use of the already available tango_testing icon as it fits well as its front facing and a good size.

I personally like most of the original tango icon style found in 4.2 and dislike alot of the changes made to it, mainly the direct formatting buttons as they pretty much all look like they are bold and you cant even see the shadow behind the shadow icon in the sidebar. I wish there was a tango_original option that i could revert it back to in 4.3.
Comment 8 Adolfo Jayme 2014-08-15 09:31:13 UTC
When it comes to any (UI, icon, behavior) change, nobody can please everybody.
Comment 9 Yousuf Philips (jay) (retired) 2014-09-30 17:14:02 UTC
As i follow the keyword 'libreoffice' on twitter, i came across this tweet that made me chuckle.

@LibreOffice_FR un monstre rouge aux yeux globuleux et à l'haleine fétide me surveille à chaque ouverture de calc! pic.twitter.com/XWeIGOOWiu
< https://twitter.com/GillesCC/status/516955761604591617 >

Sophie's translation: a red monster with big eyes with fetid breath watch me any time I open Calc!
Comment 10 Yousuf Philips (jay) (retired) 2014-10-27 15:15:52 UTC
Pushed the tango testing icon to tango and added a shadow to it. https://gerrit.libreoffice.org/#/c/12112/